# Generate version information for kernel module
%define kname %(echo `uname -r`)
%define kver  %(echo %{kname} | sed -e 's/smp//' -e 's/bigmem//' -e 's/enterprise//')
%define ktype %(echo kernel-%{kname}|sed -e 's/%{kver}//' -e 's/-$//')
%define krel  %(echo %{kname} | sed -e 's/-/_/g')
# $Id: $
# Authority: olea

%define real_name acerhk


# Dist: nodist

Summary: Driver for Intel PRO/Wireless 2200 network adaptors
Name: kernel-module-%{real_name}
Version: 0.5.35
Release: olea1_%{krel}
License: GPL
Group: System Environment/Kernel
URL: http://www.cakey.de/acerhk/
Source0: http://www.cakey.de/acerhk/archives/acerhk-%{version}.tgz
BuildRequires: gcc, /usr/bin/install
BuildRequires: kernel-devel
Obsoletes: acerhk

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: i386

%description
This package contains the driver for managing special buttons and wireless
antenna on Acer and compatible laptops.

If you found this module doesn't load in your RH/Fedora kernel try with 
the packaged 0.5.30 version.

%prep
%setup -n %{real_name}-%{version}


%build
make

%install
%{__rm} -rf %{buildroot}
strip acerhk.ko
install -D -m 644 acerhk.ko  %{buildroot}/lib/modules/%{kname}/kernel/drivers/char/acerhk.ko

%clean
%{__rm} -rf %{buildroot}

%post
/sbin/depmod -A

%preun 
modprobe -r acerhk
/sbin/depmod -A


%files
%defattr(-, root, root, 0755)
%doc AUTHORS  COPYING  doc/  INSTALL  NEWS  README
%defattr(-, root, root, 0644)
/lib/modules/%{kname}/kernel/drivers/char/acerhk.ko

%changelog

* Sun Feb 11 2007 Ismael Olea <ismael@olea.org>  0.5.35-olea1
- Updated to 0.5.35.
- Updated URK

* Thu Sep 14 2006 Ismael Olea <ismael@olea.org>  0.5.34-olea1
- Updated to 0.5.34.

* Wed Mar 01 2006 Ismael Olea <ismael@olea.org>  0.5.33-olea1
- Updated to 0.5.33.

* Sat Jan 28 2006 Ismael Olea <ismael@olea.org>  0.5.32-olea1_2.6.14_1.1653_FC4
- Updated to 0.5.32.

* Thu Dec 15 2005 Ismael Olea <ismael@olea.org>  0.5.31-olea1_2.6.14_1.1653_FC4
- Updated to 0.5.31.

* Fri Dec 1 2005 Ismael Olea <ismael@olea.org>
- Updating to 0.5.30 and renaming the package.

* Sun Oct 23 2005 Ismael Olea <ismael@olea.org>
- Updating to 0.5.28.

* Fri Sep 16 2005 Ismael Olea <ismael@olea.org>
- Removing kernel-dev dep since kernel series seems to full support module compiling.

* Wed Jul 26 2005 Ismael Olea <ismael@olea.org>
- Changing dep from kernel-source to kernel-devel

* Tue Nov 02 2004 Ismael Olea <ismael@olea.org>
- First version.


